﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

using UnknownMethodsLibrary;

namespace BenchmarkApp {
	class Program {
		static void Main(string[] args) {
			const int range = 30000; // 1;

			Console.WriteLine("Environment.Is64BitProcess == " + Environment.Is64BitProcess.ToString());
			Console.WriteLine("Path: " + System.Reflection.Assembly.GetExecutingAssembly().CodeBase);

			{
				// Class1.m(1);
				var stopwatch = Stopwatch.StartNew();

				double d = 0;
				for (int i = 1; i <= range; i++) {
					d += Class1.m(i);
				}

				stopwatch.Stop();
				Console.WriteLine("Result: {0}", d);
				Console.WriteLine("Time elapsed: {0}", stopwatch.Elapsed);
			}

			{
				// Class2.m(1);
				var stopwatch = Stopwatch.StartNew();

				double d = 0;
				for (int i = 1; i <= range; i++) {
					d += Class2.m(i);
				}

				stopwatch.Stop();
				Console.WriteLine("Result: {0}", d);
				Console.WriteLine("Time elapsed: {0}", stopwatch.Elapsed);
			}
		}
	}
}
