﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace UnknownMethodGenerator {
	class Program {
		const string Prolog = @"using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace UnknownMethodsLibrary {
	public class Class2 {
		public static double m(int x) {
			switch (x) {
";
		const string Statement = @"				case {0}: return {1};
";
		const string Epilog = @"			}

			throw new ArgumentOutOfRangeException();
		}
	}
}";
		static void Main(string[] args) {
			using (var sw = new StreamWriter("GeneratedClass2.cs")) {
				sw.Write(Prolog);
				for (int i = 1; i <= 30000; i++) {
					sw.Write(Statement, i, Math.Sin(i).ToString(System.Globalization.CultureInfo.InvariantCulture));
				}
				sw.Write(Epilog);
			}
		}
	}
}
